<?php

namespace General\Models\Order;

use DB;
use General\Models\Activity\Activity;
use General\Models\Book\BookConfig;
use General\Models\SendOrder\SendOrder;
use General\Models\User\User;
use Illuminate\Database\Eloquent\Model;

/**
 * @property Activity $activity
 * @property User $user
 * @property BookConfig $book_config
 */
class Order extends Model
{
    protected $table = 'orders';
    protected $connection = 'mysql';
    protected $fillable = [
        'distribution_channel_id',
        'uid',
        'created_at',
        'product_id',
        'price',
        'status',
        'pay_type',
        'trade_no',
        'pay_merchant_id',
        'servicer',
        'transaction_id',
        'pay_end_at',
        'order_type',
        'create_ip',
        'send_order_id',
        'send_order_name',
        'activity_id',
        'from_bid',
        'from_type',
        'inner_send_order_id',
    ];

    public static function IndexRaw($index_raw)
    {
        $model = new static();
        $model->setTable(DB::raw($model->getTable() . ' ' . $index_raw));
        return $model;
    }

    protected function user()
    {
        return $this->hasOne(User::class, 'id', 'uid');
    }

    protected function book_config()
    {
        return $this->hasOne(BookConfig::class, 'bid', 'from_bid');
    }

    protected function activity()
    {
        return $this->hasOne(Activity::class, 'id', 'activity_id');
    }

    protected function send_order()
    {
        return $this->hasOne(SendOrder::class, 'id', 'send_order_id');
    }
}
