<?php

namespace General\Requests\CompanyAuth;

use General\Requests\Request;
use General\Services\BaseAuthConfig;
use Illuminate\Validation\Rule;

class CustomSendMsgRequest extends Request
{
    use BaseAuthConfig;
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'start_time' => 'date',
            'end_time' => 'date|after_or_equal:start_time',
            'send_start_time' => 'date',
            'send_end_time' => 'date|after_or_equal:send_start_time',
            'book_name' => 'string',
            'name' => 'string',
            'channel_id' => ['required', 'integer', Rule::in($this->channel_ids)],
        ];
    }

    public function messages()
    {
        return array_merge(parent::messages(),  [
            'channel_id.in' => '站点未授权！'
        ]);
    }
}
