<?php

namespace General\Rules;

use General\Helpers\CommonHelper;
use Illuminate\Contracts\Validation\Rule;

class BidRule implements Rule
{
    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        $bid = CommonHelper::book_hash_decode($value);
        return strlen($bid) > 0 ? true : false;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return "错误的书号！";
    }
}
