<?php

namespace General\Services;

use Hashids\Hashids;

/**
 * @property array $ingore_pools
 * @property string $min_hash_length
 * @property string $salt
 * @property string $alphabet
 */
trait BaseChannelEncode
{
    protected $ingore_pools;
    protected $min_hash_length;
    protected $salt;
    protected $alphabet;

    private function judgeIsIngoreKeyAndGetField($id): string
    {
        return array_key_exists($id, $this->ingore_pools) ? $this->ingore_pools[$id] : '';
    }

    private function hashEncodeChannelId($id): string
    {
        $hashids = new Hashids($this->salt, $this->min_hash_length, $this->alphabet);
        return $hashids->encode($id);
    }

    public function encodeChannelId($id)
    {
        $field = $this->judgeIsIngoreKeyAndGetField($id);
        return $field ? $field : $this->hashEncodeChannelId($id);
    }
}
